# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-video/dvdstyler/dvdstyler-1.7.2.ebuild,v 1.3 2009/09/16 11:14:51 ssuominen Exp $

EAPI=2
inherit eutils wxwidgets autotools

#MY_P=DVDStyler-${PV/_beta/b}_1
MY_P=DVDStyler-${PV}

DESCRIPTION="DVDStyler is a cross-platform DVD authoring System"
HOMEPAGE="http://www.dvdstyler.de"
SRC_URI="mirror://sourceforge/dvdstyler/${MY_P}.tar.bz2"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="gnome"

COMMON_DEPEND="
	~media-video/ffmpeg-0.5[encode]
	x11-libs/wxGTK:2.8
	>=media-libs/wxsvg-1.0[ffmpeg]
	>=media-libs/libexif-0.6.16
	gnome? ( >=gnome-base/libgnomeui-2.0 )"
RDEPEND="${COMMON_DEPEND}
	virtual/cdrtools
	>=media-video/dvdauthor-0.6.14
	>=app-cdr/dvd+rw-tools-7.1
	>=app-cdr/dvdisaster-0.71.0"
DEPEND="${COMMON_DEPEND}
	app-text/xmlto
	dev-util/pkgconfig
	>=sys-devel/gettext-0.17"

S="${WORKDIR}"/${MY_P}

src_prepare() {
	epatch "${FILESDIR}/dvdstyler-1.7.2-skipxmlvalidation.patch"
	eautomake
}

src_configure() {
	export WX_GTK_VER="2.8"
	need-wxwidgets gtk2
	myconf="${myconf} --with-wx-config=${WX_CONFIG}"
	econf ${myconf}
}

src_install() {
	emake DESTDIR="${D}" install || die "failed to install"
	rm  "${D}"usr/share/doc/${PN}/COPYING "${D}"usr/share/doc/${PN}/INSTALL
	mv "${D}"usr/share/doc/${PN} "${D}"usr/share/doc/${PF}
}
